[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[no subject]



However in the latest lvm datasheet it specifically claims support for redhat 
and in particular Advanced Server 2.1. I don't believe this was ever true 
before. 

>
>i expected a difference in makefile lvm-mod-objs should be correct on rh
>kernels (read the reject and the original and see for yourself)
>and lvm-snap.h (not .c) has also been removed.
>the rest of the patch is more or less a diff between your current lvm
>files and those in LVM/1.0.6/kernel
>so you can ignore those.

So what you've said above is pretty much what I've done. I have build lvm as a 
module and when I do the modules_install I get:

if [ -r System.map ]; then /sbin/depmod -ae -F System.map  2.4.9-e.9custom; fi
depmod: *** Unresolved symbols in 
/lib/modules/2.4.9-e.9custom/kernel/drivers/md/lvm-mod.o
depmod:         alloc_kiovec
depmod:         gendisk_head
depmod:         free_kiovec
make: *** [_modinst_post] Error 1
[root jack linux-2.4]# 

This has been the case on all rh 2.4.9 based kernels that I've tried to 
install lvm on, no matter which lvm version (1.x).

-- 
==========
Cheers
   -jdf




[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]